package com.icesoft.support;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;
import javax.faces.bean.CustomScoped;
import javax.faces.bean.ManagedBean;

@ManagedBean
@CustomScoped(value = "#{window}")
public class TestBean implements Serializable {

    private Date date;
    private String dateStyleClass;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getDateStyleClass() {
        if(date != null){
            if(DateUtils.isToday(date)){
                return "yellowBorder";
            }
        }        
        return "whiteBorder"; 
    }

    public void setDateStyleClass(String dateStyleClass) {
        this.dateStyleClass = dateStyleClass;
    }


}
